Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPierre-Charles David2015-08-17 15:16:51 +0000
committerPierre-Charles David2015-08-19 08:50:54 +0000
commit9ed874c7757b6d3754558b5c59c72af19b40038f (patch)
treec71caca64f3f0ec4fbc96d428f8905b4514204ab /plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
parent41103ec770492bbe54529720353c7487329227c0 (diff)
downloadorg.eclipse.sirius-9ed874c7757b6d3754558b5c59c72af19b40038f.tar.gz
org.eclipse.sirius-9ed874c7757b6d3754558b5c59c72af19b40038f.tar.xz
org.eclipse.sirius-9ed874c7757b6d3754558b5c59c72af19b40038f.zip
[472057] Add required infrastructure for i18n
* Add missing plugin & activator classes to all plug-ins which contain strings we want to be translatable, and make sure they all follow the same pattern as EMF: a "plugin" class which extends EMF's EMFPlugin, and an internal Implementation class which extends EMF's EclipsePlugin (or EclipseUIPlugin). * Also add common helper I18N class and the associated @TranslatableMessage in oes.ext.base, which can be used to initialize static fields in a Messages class from the locale-specific properties file, using EMF's ResourceLocator logic. * Rename some of the "Activator" classes, as once they follow the EMF pattern, the enclosing class is not the actual OSGi activator (the *$Implementation class is), so the name would cause confusion. Bug: 472057 Change-Id: Id030bdf628f0e7b46356213e7e4e9bdd990a4662 Signed-off-by: Pierre-Charles David <pierre-charles.david@obeo.fr>
Diffstat (limited to 'plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF')
-rw-r--r--plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF1
1 files changed, 1 insertions, 0 deletions
diff --git a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
index 10a8a28806..79197351e8 100644
--- a/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.sirius.diagram.sequence/META-INF/MANIFEST.MF
@@ -58,3 +58,4 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Import-Package: org.eclipse.sirius.ext.base;version="2.0.0",
org.eclipse.sirius.ext.emf;version="2.0.0"
+Bundle-Activator: org.eclipse.sirius.diagram.sequence.SequenceDiagramPlugin$Implementation

Back to the top